ユーザー / プロフィール
予定を更新
PUT
/users/me/schedules/:scheduleId自分の予定を更新します。
| 認証 | 要ログイン |
|---|
パスパラメータ
scheduleIdstring必須予定 ID。
リクエストボディ
startAtstring必須開始日時(ISO 8601)。
endAtstring必須終了日時(ISO 8601)。
descriptionstring任意説明。
レスポンス
| フィールド | 型 | 説明 |
|---|---|---|
schedule | Schedule | 更新された予定。 |
リクエスト
curl https://api.4s.link/users/me/schedules/SCHEDULE_ID \-X PUT \-H "Authorization: Bearer 4s_at_..." \-H "Content-Type: application/json" \-d '{"startAt": "2026-06-01T03:30:00.000Z","endAt": "2026-06-01T04:30:00.000Z"}'
レスポンス例
{"schedule": {"id": "sc1a2b3c-...","startAt": "2026-06-01T03:30:00.000Z","endAt": "2026-06-01T04:30:00.000Z"}}